WPS8TextStyleInternal::Font Struct Reference documentation

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
WPS8TextStyleInternal::Font Struct Referencefinal

Internal: class to store font properties. More...

Inheritance diagram for WPS8TextStyleInternal::Font:

## Public Member Functions
| Font ()
| constructor
| Font (Font const &)=default
| ~Font () final
| destructor
WPS8TextStyle::FontData & | special ()
| return the auxilliary data
WPS8TextStyle::FontData const & | special () const
| return the auxilliary data
Public Member Functions inherited from WPSFont
| WPSFont ()
| constructor
| WPSFont (WPSFont const &)=default
| WPSFont (WPSFont &&)=default
WPSFont & | operator= (WPSFont const &)=default
WPSFont & | operator= (WPSFont &&)=default
virtual | ~WPSFont ()
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | isSet () const
| accessor
bool | operator== (WPSFont const &ft) const
| operator==
bool | operator!= (WPSFont const &ft) const
| operator!=

## Static Public Member Functions
static Font | def ()
Static Public Member Functions inherited from WPSFont
static WPSFont | getDefault ()
| returns the default font ( Courier 12pt)

## Protected Attributes
WPS8TextStyle::FontData | m_special
| the auxialliary data

## Friends
std::ostream & | operator<< (std::ostream &o, Font const &ft)
| operator<<

## Additional Inherited Members
Public Attributes inherited from WPSFont
librevenge::RVNGString | m_name
| font name
double | m_size
| font size
uint32_t | m_attributes
| the font attributes defined as a set of bits
double | m_spacing
| font spacing
WPSColor | m_color
| the font color
int | m_languageId
| the language (simplified locale name id) if known
std::string | m_extra
| public field use to add a message when the font is printed

## Detailed Description

Internal: class to store font properties.

## Constructor & Destructor Documentation

## ◆ Font() [1/2]

WPS8TextStyleInternal::Font::Font | ( |  | ) |
| inline

constructor

## ◆ Font() [2/2]

WPS8TextStyleInternal::Font::Font | ( | Font const & |  | ) |
| default

## ◆ ~Font()

WPS8TextStyleInternal::Font::~Font | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ def()

static Font WPS8TextStyleInternal::Font::def | ( |  | ) |
| inlinestatic

Referenced by WPS8TextStyle::readFont().

## ◆ special() [1/2]

WPS8TextStyle::FontData & WPS8TextStyleInternal::Font::special | ( |  | ) |
| inline

return the auxilliary data

## ◆ special() [2/2]

WPS8TextStyle::FontData const & WPS8TextStyleInternal::Font::special | ( |  | ) | const
| inline

return the auxilliary data

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Font const & | ft
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_special

WPS8TextStyle::FontData WPS8TextStyleInternal::Font::m_special
| protected

the auxialliary data

Referenced by special().

The documentation for this struct was generated from the following file:

- WPS8TextStyle.cpp